#include "WimaJoinedAreaData.h"

const char *WimaJoinedAreaData::typeString = "WimaJoinedAreaData";

WimaJoinedAreaData::WimaJoinedAreaData(QObject *parent)
    : WimaAreaData(parent) {}

WimaJoinedAreaData::WimaJoinedAreaData(const WimaJoinedAreaData &other,
                                       QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

WimaJoinedAreaData::WimaJoinedAreaData(const WimaJoinedArea &other,
                                       QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

/*!
 * \overload operator=()
 *
 * Assigns \a other to the invoking object.
 */
WimaJoinedAreaData &WimaJoinedAreaData::
operator=(const WimaJoinedAreaData &other) {
  assign(other);

  return *this;
}

/*!
 * \overload operator=()
 *
 * Assigns \a other to the invoking object.
 */
WimaJoinedAreaData &WimaJoinedAreaData::operator=(const WimaJoinedArea &other) {
  assign(other);
  return *this;
}

QString WimaJoinedAreaData::mapVisualQML() const {
  return QStringLiteral("WimaJoinedAreaDataVisual.qml");
}

QString WimaJoinedAreaData::type() const { return this->typeString; }

void WimaJoinedAreaData::assign(const WimaJoinedAreaData &other) {
  WimaAreaData::assign(other);
}

void WimaJoinedAreaData::assign(const WimaJoinedArea &other) {
  WimaAreaData::assign(other);
}

/*!
 * \class WimaAreaData::WimaJoinedAreaData
 * \brief Class to store and exchange data of a \c WimaJoinedAreaData Object.
 * Class to store and exchange data of a \c WimaJoinedArea Object. In contrast
 * to \c WimaJoinedArea this class does not provied any interface to a grafical
 * user interface, neiter it uses the QGC Fact System. It is designed to
 * exchange data between the \c WimaPlaner and the \c WimaController class. And
 * it is the derived from WimaAreaData.
 *
 * \sa WimaJoinedArea, WimaAreaData
 */
